Subject: IETF working language

From: <[email-masked]>
Date: Sat, 8 Mar 2014 14:15:47 +0000

You'll find it stated in a number of places that the working language of 
the IETF is English. Well, yes.

What is not stated is how good that English has to be to participate
fully in technical discussion to get the most out of IETF participation.

I would suggest that an IELTS score of 7.0 or higher, or equivalent,
in all categories is a good indicator of being able to participate fully.
If someone is unable to achieve that level, they, and everyone 
interacting with them, will find written exchanges very frustrating,
to the detriment of discussion overall.

If we're going to write RFCs codifying behaviour, we can codify this, too.

Lloyd Wood
http://about.me/lloydwood

---

From: Bjoern Hoehrmann <[email-masked]>
Date: Sat, 08 Mar 2014 15:29:58 +0100

>If we're going to write RFCs codifying behaviour, we can codify this, too.

Sounds like we need more people who object to that.
-- 
Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 09 Mar 2014 04:25:19 +1300

> Sounds like we need more people who object to that.

We all, whether native English speakers or not, need to
work hard to write and speak clearly and simply. This is
not easy.

>From my experience, an IELTS score is not a good indicator
of real-world competence. Also, we have plenty of native
speakers whose writing is difficult to understand.

    Brian

---

From: Guillaume Leclanche <[email-masked]>
Date: Sat, 8 Mar 2014 17:32:29 +0100

> If we're going to write RFCs codifying behaviour, we can codify this, too.

IELTS 7 is "Good user: has operational command of the language, though
with occasional inaccuracies, inappropriacies and misunderstandings in
some situations. Generally handles complex language well and
understands detailed reasoning."

What creates a good communication is when the most comfortable person
in the exchange brings his own level down to the level of the least
comfortable person. A bit like version negotiation in most protocols.

Good English is backward compatible with Bad English !

Guillaume

---

From: Chaitanya Dhareshwar <[email-masked]>
Date: Sun, 9 Mar 2014 00:04:35 +0530

Not sure having a score for this makes sense. Not everyone with an IELTS
score of 7+ chooses to participate 'fully' and not everyone who does
participate fully today necessarily has an IELTS score of 7 or higher.
Unless the very definition of the IETF is to be changed to exclude those
who speak "lower quality" (in a sense) of English, this would be more
disruptive than constructive.

*Chaitanya Dhareshwar*

Linkedin <http://in.linkedin.com/in/chaitanyabd> | Blog <http://cbd.vcio.in> |
Skype: chaitanyabd
Mobile: +91.9820760253

---

From: Juliao Braga <[email-masked]>
Date: Sat, 08 Mar 2014 16:04:25 -0300

+1

What would be more funny is the IETF take such an attitude.

We can not forget that for us, bad writers and talkers, English is a
second, third, fourth, ..., language. So we are better able to improve
if the opportunities can be given.

[]s,

Julião

Em 08/03/2014 15:34, Chaitanya Dhareshwar escreveu:
> **
> Linkedin <http://in.linkedin.com/in/chaitanyabd>| Blog
> <http://cbd.vcio.in>| Skype: chaitanyabd
> Mobile: +91.9820760253

---

From: Scott Brim <[email-masked]>
Date: Sat, 8 Mar 2014 19:56:03 +0000

Rather, we should take care in speaking and in slides. It's not too hard,
and I wish more did it. This had been covered before.

---

From: "Klaas Wierenga (kwiereng)" <[email-masked]>
Date: Sat, 8 Mar 2014 20:13:36 +0000

Yes, I can only say that luckily most native English speakers realise how privileged they are that they are able to write and speak in their native language and they take an effort to accomodate those that are less lucky....

Sent from my iPad

> On 8 mrt. 2014, at 20:04, "Juliao Braga" <[email-masked]> wrote:
> 
> +1
>

---

From: <[email-masked]>
Date: Sat, 8 Mar 2014 21:53:51 +0000

I'm more concerned with reading and writing.

The work of the IETF is, after all, on the mailing lists.

Lloyd Wood
http://about.me/lloydwood
________________________________________
From: Scott Brim [[email-masked]]
Sent: 08 March 2014 19:56
To: Wood L  Dr (Electronic Eng)
Cc: IETF discussion list
Subject: Re: IETF working language

Rather, we should take care in speaking and in slides. It's not too hard, and I wish more did it. This had been covered before.

---

From: mohammed serrhini <[email-masked]>
Date: Sun, 09 Mar 2014 05:02:12 +0400

hello
yes it is true , people who have English as a third language have many problems to follow another person with  English is  native 

I think their exclusion is not fair 
the effort must be made ​​by the latter because he has put himself in the skin of the other
and must to ask him self , what happen  in the case if  native language is the official language IETF is not English

Mohammed serrhini.

best

С уважением,
mohammed serrhini
[email-masked]

---

From: <[email-masked]>
Date: Sun, 9 Mar 2014 03:09:51 +0000

Yes, language is backwards compatible and scales up in complexity.
That's how we all learned it. But...

> comfortable person. 

That works well for one-to-one communication to get things across clearly
to the disadvantaged participant. It works less well in groups, where the
disadvantaged participant disrupts and holds back discussion.

If a four-year-old joined [email-masked], would we be required to try
and explain networking and the IETF to the four year old at a four-year-old's
level, or would we try and arrange a playdate for the four year old so that
the adults could converse in peace?

I have no objection to a hypothetical four-year-old sitting quietly,
following along, and trying to learn from the conversation. But if the four
year old throws tantrums, well...

professional conduct requires a minimum level of operational fluency
for useful interaction.

Lloyd Wood
http://about.me/lloydwood
________________________________________
From: Guillaume Leclanche [[email-masked]]
Sent: 08 March 2014 16:32
To: Wood L  Dr (Electronic Eng)
Cc: [email-masked]
Subject: Re: IETF working language

Guillaume

---

From: "Klaas Wierenga (kwiereng)" <[email-masked]>
Date: Sun, 9 Mar 2014 08:15:49 +0000

> On 9 mrt. 2014, at 04:11, "[email-masked]" <[email-masked]> wrote:
> 

So in practice those participants usually show restraint and let you native speaking alpha males fight it out at the mike.... Not sure that that improves the quality of the IETF process.....

> the adults could converse in peace?

But guess what, unlike the 4-year old, this person took the effort to learn a foreign language (bonus: no, speaking a foreign language is not the same as speaking English at double or triple volume when abroad  ;-), got passed his or her shame because they felt they had something important to say. I'd say that the odds of that being meaningful are rather high, and most likely well worth the slight delay. Definitely not encouraging to have a native speaker in so many words tell you "sit in the back of the room and shut up until you speak better English"

In the meantime, I am sure that many non-native speakers would welcome you volunteering the surplus time you have by being able to write in your own language to proof read and correct their drafts in the interest of improving the IETF output. 

Klaas

---

From: Patrik Fältström <[email-masked]>
Date: Sun, 09 Mar 2014 08:35:32 +0000

I suggest in return that we can ignore statements in English that is too
complicated for people that are not skilled in the language.

We are after correct _simple_ english that maximizes the number of
people that can participate.

<http://en.wikipedia.org/wiki/Simplified_Technical_English>

   Patrik

---

From: <[email-masked]>
Date: Sun, 9 Mar 2014 08:45:49 +0000

A four-year-old is taking the effort to learn a language, which is
why the comparison is valid.

A person feeling that they have something important to say is not
the same as actually having something important to say. or rather, write.

I'm far less concerned with meetings and 'back of room' , where speaking
up depends more on personality than language skill, than I am with mailing lists.

And "you native speaking alpha males" is both ad hominem and pejorative.
I took the IELTS test for immigration purposes and have a score of 9.0.
Whether I am a native speaker or not is simply not relevant.
What is relevant is how well I use English, the language of the IETF,
and the IELTS is a fair, if imperfect, reflection of that.

Even native English speakers are leaving all proofing and untangling
of tortuous syntax to the RFC editor  these days... I suspect that
in many cases ADs are often the first quality check. Lovely job.

Lloyd Wood
http://about.me/lloydwood
________________________________________
From: Klaas Wierenga (kwiereng) [[email-masked]]
Sent: 09 March 2014 08:15
To: Wood L  Dr (Electronic Eng)
Cc: [email-masked]; [email-masked]
Subject: Re: IETF working language

Klaas

---

From: <[email-masked]>
Date: Sun, 9 Mar 2014 08:52:19 +0000

Simplified Technical English is good for operating instructions and procedures.

Less so for technical discussion where analogies, metaphors and the
like are often used.

The best we can say is to avoid colloquialism, argot or idiom.
That is easier for people who have travelled somewhat, and
who are more aware of cultural baggage.

And your link should of course have been to

http://simple.wikipedia.org/wiki/Simplified_English

Lloyd Wood
http://about.me/lloydwood
________________________________________
From: Patrik Fältström [[email-masked]]
Sent: 09 March 2014 08:35
To: Wood L  Dr (Electronic Eng); [email-masked]
Subject: Re: IETF working language

   Patrik

---

From: Jari Arkko <[email-masked]>
Date: Sun, 9 Mar 2014 10:55:38 +0200

The level of interaction skills and networking clue required to work effectively at the IETF is considerable. (And yet many people manage it, including newcomers, students, and specialists on some specific aspect.)

But language is just one aspect of the ability to interact with others. We see some failures in communicating due to language. However, in my personal experience some of the other aspects are more important. Ability to make a topic understood, presentation skills, ability to use evidence and logical arguments, capabilities in building groups that work together on a problem, and so on.

Jari

---

From: Dave Cridland <[email-masked]>
Date: Sun, 9 Mar 2014 09:44:35 +0000

> why the comparison is valid.
Valid from a communications standpoint, perhaps, but not from the
standpoint of having the required knowledge.

Taking part in "foreign" technical discussions really is hard - I've
engaged once or twice in French discussions, and I apologise for those I
inflicted my French upon. It's not that I have no clue what *they're*
saying - I can in general follow written technical French reasonably well -
and it's not that I'm clueless in the subject either, but I struggle to
make myself understood properly. In most cases I give up and shamefully
switch to English, which is only an option because I happen to know the
audience will understand my English better than my French. (The Russians
have a phrase - I'm like a dog, I cannot speak, but I understand.)

On the flip side, the studies into bilingualism - a subject close to me
since both my children are bilingual[*] - demonstrate that problem solving
skills are enhanced by a different language, since the grammar changes make
considering different solutions more natural. My gut feel would be that
this would apply to this situation too, and moreover, would apply more to
communications protocol design than many other problem domains. So writing
off bad English too quickly is problematic for "us", too.

Dave.
--
* - English/Welsh, in case you wonder. We live in an area where Welsh is a
common first language, so hearing it on the street is normal.

---

From: <[email-masked]>
Date: Sun, 9 Mar 2014 10:12:03 +0000

So, someone who is technically clueful can follow technical discussion in another language.

Someone who is not technically competent, but speaks the base language, can learn the technical side.

but if they're not technically clueful AND unfamiliar with the language? all is lost. And the IETF cannot cover both.

Lloyd Wood
http://about.me/lloydwood
________________________________________
From: Dave Cridland [[email-masked]]
Sent: 09 March 2014 09:44
To: Wood L  Dr (Electronic Eng)
Cc: Klaas Wierenga; [email-masked] Discussion
Subject: Re: IETF working language

On 9 March 2014 08:45, <[email-masked]<mailto:[email-masked]>> wrote:
A four-year-old is taking the effort to learn a language, which is
why the comparison is valid.

Valid from a communications standpoint, perhaps, but not from the standpoint of having the required knowledge.

Taking part in "foreign" technical discussions really is hard - I've engaged once or twice in French discussions, and I apologise for those I inflicted my French upon. It's not that I have no clue what *they're* saying - I can in general follow written technical French reasonably well - and it's not that I'm clueless in the subject either, but I struggle to make myself understood properly. In most cases I give up and shamefully switch to English, which is only an option because I happen to know the audience will understand my English better than my French. (The Russians have a phrase - I'm like a dog, I cannot speak, but I understand.)

On the flip side, the studies into bilingualism - a subject close to me since both my children are bilingual[*] - demonstrate that problem solving skills are enhanced by a different language, since the grammar changes make considering different solutions more natural. My gut feel would be that this would apply to this situation too, and moreover, would apply more to communications protocol design than many other problem domains. So writing off bad English too quickly is problematic for "us", too.

Dave.
--
* - English/Welsh, in case you wonder. We live in an area where Welsh is a common first language, so hearing it on the street is normal.

---

From: Bjoern Hoehrmann <[email-masked]>
Date: Sun, 09 Mar 2014 14:17:37 +0100

>professional conduct requires a minimum level of operational fluency

I hope the four-year-olds quietly following along understand that your
use of them to support your argument is a straw man fallacy, and not a
good one. I had no difficulty participating in the IETF as a teenager,
publishing my own Internet-Drafts included, speaking English as a third
language, and I am not sure if you are taking a silly position to make
a point, or if you are actually serious about your suggestion.
-- 
Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/

---

From: <[email-masked]>
Date: Sun, 9 Mar 2014 13:28:03 +0000

> I had no difficulty participating in the IETF as a teenager,
> language

well, that's an ad-hominem argument that is anecdotal to boot,
and a reason why I deliberately selected four year olds...
(also, Aaron Swartz in RSS spec land is another example.)

But the point remains - you were operationally fluent
and a functional contributor to group discussion.
Ability matters; unlikely that a four-year-old would
have it, and surprising that, after years of
participation, some still don't.

Lloyd Wood
http://about.me/lloydwood
________________________________________
From: Bjoern Hoehrmann [[email-masked]]
Sent: 09 March 2014 13:17
To: Wood L  Dr (Electronic Eng)
Cc: [email-masked]; [email-masked]
Subject: Re: IETF working language

---

From: Bjoern Hoehrmann <[email-masked]>
Date: Sun, 09 Mar 2014 14:46:01 +0100

>and a functional contributor to group discussion.

I found straightforward instructions how to participate on the Internet
and followed them as I saw fit. I did not have to deal with intimidating
participation requirements like minimum IELTS scores and RFCs codifying
behavior specifically for IETF purposes.
-- 
Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/

---

From: Ted Lemon <[email-masked]>
Date: Sun, 9 Mar 2014 10:47:45 -0400

> and must to ask him self , what happen in the case if native language is the official language IETF is not English

One of the frustrations of life is that even if we recognize that something is unfair, there may be limited possibilities for addressing the unfairness.   It was once the case that French was the language of diplomacy, and an attempt was made to formulate an artificial language, Esperanto, for use by diplomats as a new "lingua franca."

For better or for worse, the Internet broke that process (I don't think there was much hope for Esperanto anyway).   So what do we do now?   Try to revive Esperanto as a language for expressing standards?   Choose a different language, so as to change the lucky recipient of privilege?

I can't speak for other IETFers, but I am keenly aware of the unfairness of the current situation.   But the only thing I know how to do to fix it is to help people for whom english is not their first language to participate in english anyway.   There is a lot of interest within the IETF in doing this—it's not just me.

If you have ideas for how to change this, please share them with us.   But the mere fact that I as a native english speaker happen to be privileged at the moment is a fact with which I am already painfully familiar (although no doubt much less painfully than the non-native english speakers).

If other IETFers are not aware of this, it would be good if they could wake up to it.   I would certainly advise native-english-speaking IETFers to really exercise patience when communicating with non-native speakers, keeping in mind exactly what you, Mohammed, have said: that the situation is unfair, and it is incumbent on those of us in the privileged position to do our best to help those who are not.

But is that all we can do?   And if we do it to the best of our ability, will it be enough?   And, I hate to say it, given that not everybody will see it the way you do or the way I do, what else can we do?

---

From: Ted Lemon <[email-masked]>
Date: Sun, 9 Mar 2014 10:55:18 -0400

On Mar 9, 2014, at 4:15 AM, Klaas Wierenga (kwiereng) <[email-masked]> wrote:
>> It works less well in groups, where the

It has not been my experience that there is a strong correlation between native speaking ability and disruptiveness at the mic, but it definitely has been my experience that if people are patient with less-than-perfect english, the IETF participants who speak it can meaningfully contribute.   And it is also my experience that if native speakers are not patient about this, they effectively prevent useful contributions from non-native speakers.   This is a bad outcome, and the attitude expressed in the text you quoted above contributes to that sort of outcome.  So thank you for arguing back.

---

From: Andrew Newton <[email-masked]>
Date: Sun, 9 Mar 2014 17:20:14 +0000

On Sun, Mar 9, 2014 at 2:47 PM, Ted Lemon <[email-masked]> wrote:
> I can't speak for other IETFers, but I am keenly aware of the unfairness of the current situation.   But the only thing I know how to do to fix it is to help people for whom english is not their first language to participate in english anyway.   There is a lot of interest within the IETF in doing this--it's not just me.

I agree. Maybe we could start with a list of habits for which native
English speakers should not engage so that non-native speakers can
more readily understand the conversation. Such as, but not limited to:
- do not mumble at the microphones.
- do not speak fast.
- do not use cultural references as a replacement for meaningful prose
- do not use uncommon words

Just a suggestion.

-andy

---

From: "Stewart Bryant (stbryant)" <[email-masked]>
Date: Sun, 9 Mar 2014 18:04:59 +0000

Within a generation we will surely have near perfect computerised text translation and passable voice translation, so the problem will likely disappear with time.

Stewart

Sent from my iPad

> On 9 Mar 2014, at 14:48, "Ted Lemon" <[email-masked]> wrote:
>

---

From: "John Levine" <[email-masked]>
Date: 9 Mar 2014 18:31:19 -0000

>I'm more concerned with reading and writing.

I still don't understand what this is supposed to mean in practice.

There have been I-D's that desperately needed the help of a competent
English speaker to rewrite parts where the language was so fractured
that I couldn't figure it out.  In my experience, people with poor
English skills who come to the IETF are doing the best they can, so
this suggests that if you (the general you) see a draft of interest
with language problems, it would be a good idea to offer to edit or
coauthor it.

I don't really any WG sessions being badly impaired by poor speakers
although there have certainly been presentations I wouldn't have been
able to follow if the speaker didn't have slides, and there are plenty
of WGs whose meetings I've never attended.  Is there a concrete
suggestion here?

R's,
John

---

From: "Adrian Farrel" <[email-masked]>
Date: Sun, 9 Mar 2014 19:54:26 -0000

Klaas Wierenga may have said...

> So in practice those participants usually show restraint and let you native
> speaking alpha males fight it out at the mike.... Not sure that that improves
the
> quality of the IETF process.....

When chairing WG meetings I have twice invited presenter and questioner to talk
in their native languages to get themselves clear on what they were talking
about, and then report back to the WG.

While this may seem like a small step forward, most of the discussion on this
list has focussed on a mind-set that I find to be "use my language, not
English". There are too many languages for that to be practical and a single
common language is needed or we need interpretation services. I know how much
the latter costs, so I favour (sic) the former.

Adrian

---

From: Harald Alvestrand <[email-masked]>
Date: Sun, 09 Mar 2014 20:57:34 +0100

> - do not use uncommon words
Perhaps practice RFC 7154, "IETF Guidelines for Conduct"?

2.  Guidelines for Conduct

    1. IETF participants extend respect and courtesy to their colleagues
       at all times.

       IETF participants come from diverse origins and backgrounds; there
       can be different expectations or assumptions.  Regardless of these
       individual differences, participants treat their colleagues with
       respect as persons especially when it is difficult to agree with
       them: treat other participants as you would like to be treated.

       English is the de facto language of the IETF.  However, it is not
       the native language of many IETF participants.  All participants,
       particularly those with English as a first language, attempt to
       accommodate the needs of other participants by communicating
       clearly, including speaking slowly and limiting the use of slang.
       When faced with English that is difficult to understand, IETF
       participants make a sincere effort to understand each other and
       engage in conversation to clarify what was meant.

I don't think we have a desperate need for more lists. But re-reading 
some of those we have already made might be useful.

(This language is largely unchanged from RFC 3184, made BCP in October 
2001. We've had this opinion for a while.)

---

From: Arturo Servin <[email-masked]>
Date: Sun, 9 Mar 2014 14:15:49 -0700

> I'm more concerned with reading and writing.

And I more concerned about the lack of empathy that native English speakers
have regarding non-native.

Also, as a non-native speaker of English that has put a lot of effort to
learn a second language I found very insulting that I would need to be
assessed in my understanding and use of English to participate in the IETF.

Regards,
as

---

From: t.p. <[email-masked]>
Date: Sun, 9 Mar 2014 21:16:15 +0000

----- Original Message -----
From: "John Levine" <[email-masked]>
To: <[email-masked]>
Sent: Sunday, March 09, 2014 6:31 PM
> with language problems, it would be a good idea to offer to edit or

How?  (seriously)

I have tried editing the xml and get a sense of why it can be so hard to
write coherent English in that markup language.  I have tried editing
the text in the direction I think that it should go but then it is
unclear what changes I am suggesting.  I have tried my own markup
/*rgurnggkjik/regurgitate?/ which I understand but others do not:-(

I want the sort of tool that was a commonplace when programming decades
ago, so that the changes are apparent, are temporary but can be
selectively made permanent by the editor - or not as the case may be -
and are faultlessly incorporated into the xml when made permanent.

Any ideas?

Tom Petch

p.s. oh yes, it must run on Windows.

---

From: <[email-masked]>
Date: Sun, 9 Mar 2014 21:49:40 +0000

My proposal was not that there be mandatory assessment, but that the level be met.

That's broadly in line with the rest of the IETF, which doesn't assess someone's ability to do Internet engineering, or check credentials or qualifications to be able to do so, either. (Which may explain the design of the protocol the reader immediately thought of.)

In both cases, assuming everyone is capable works well - except in those cases where it clearly doesn't.

Lloyd Wood
http://about.me/lloydwood
________________________________________
From: Arturo Servin [[email-masked]]
Sent: 09 March 2014 21:15
To: Wood L  Dr (Electronic Eng)
Cc: Scott Brim; <[email-masked]> list
Subject: Re: IETF working language

On Sat, Mar 8, 2014 at 1:53 PM, <[email-masked]<mailto:[email-masked]>> wrote:
I'm more concerned with reading and writing.

And I more concerned about the lack of empathy that native English speakers have regarding non-native.

Also, as a non-native speaker of English that has put a lot of effort to learn a second language I found very insulting that I would need to be assessed in my understanding and use of English to participate in the IETF.

Regards,
as

---

From: Ted Lemon <[email-masked]>
Date: Sun, 9 Mar 2014 17:58:04 -0400

> Any ideas?

It's been discussed.   I don't know how likely the problem is to get solved in the short term, but you are not the only person who has noticed it, and the desire to address is it keen indeed, so there is at least some hope.

---

From: Arturo Servin <[email-masked]>
Date: Sun, 9 Mar 2014 15:07:11 -0700

> My proposal was not that there be mandatory assessment, but that the level

Either way, not at all thrilled about it.

/as

---

From: Brian Trammell <[email-masked]>
Date: Sun, 9 Mar 2014 23:22:55 +0100

> Either way, not at all thrilled about it.

+1.

The proof of ability to collaborate in English in an open environment such as the IETF is actually doing so. After a decade of collaborating in multilingual English-working-language environments where I'm often the only native speaker, I've learned that clarity of thought and clarity of expression are completely separate from proficiency with language, and that the former are more important in communicating and collaborating effectively in an environment like the IETF. So even providing guidance for people to self-assess (e.g., my guess would be "English at CEFR Level B2 or better") would probably be misleading.

Regards,

Brian

---

From: "John R Levine" <[email-masked]>
Date: 9 Mar 2014 22:47:18 +0000

> p.s. oh yes, it must run on Windows.

If you don't want to hand-edit XML, there are plenty of XML editors, 
although the good ones cost more than $0.  Dave Crocker has one he likes.

R's,
John

---

From: Dave Cridland <[email-masked]>
Date: Sun, 9 Mar 2014 23:21:09 +0000

> Either way, not at all thrilled about it.
If we had to be assessed on English skills, though, think what other
assessments we could deploy as preconditions. We could give people tough
examinations on their threshold for being drawn into pointless threads,
devise a complex scale of condescension (and spark an exciting and
ill-informed debate about whether that's different to making patronizing
remarks), mandate a seeming inability to spot humour, and so on
 - all useful skills for the IETF participant.

---

From: t.p. <[email-masked]>
Date: Tue, 11 Mar 2014 14:10:42 +0000

----- Original Message -----
From: "Ted Lemon" <[email-masked]>
To: "t.p." <[email-masked]>
Cc: "John Levine" <[email-masked]>; <[email-masked]>
Sent: Sunday, March 09, 2014 9:58 PM
> Any ideas?

It's been discussed.   I don't know how likely the problem is to get
solved in the short term, but you are not the only person who has
noticed it, and the desire to address is it keen indeed, so there is at
least some hope.

<tp>

My preference would be to be able to edit the text - since that is the
easiest to read and scan - into what is hopefully better English.
Utilities exist that compare old and new text and highlight the changes,
and are quite smart about resynchronising old and new where the changes
are substantial.

The next step would be to add 'accept change', 'reject change ' or 'use
this text instead' option to create revised text, and then a further
step to reverse that back into the XML.  But I won't hold my breath:-)

Tom Petch

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Tue, 11 Mar 2014 11:48:32 -0400

> /*rgurnggkjik/regurgitate?/ which I understand but others do not:-(

How about HTML?

http://tools.ietf.org/html/draft-hallambaker-rfctool-02

I have a tool that does the conversion. I'll get it packaged up. Runs on
Windows, Linux, OSX or any other platform supported by mono or .NET

-- 
Website: http://hallambaker.com/

---

From: Riccardo Bernardini <[email-masked]>
Date: Tue, 11 Mar 2014 17:06:24 +0100

> Windows, Linux, OSX or any other platform supported by mono or .NET

I know that I am going to sound heretical, but I do not find  editing
XML by hand with a normal basic editor (e.g., jedit, gedit, emacs,
...) really hard.  It is annoying, I agree, with all those
<stuff>...</stuff>, but the markup does not interfere, in my opinion,
with the normal text meaning. [Disclaimer: I am a LaTeX user, so maybe
I am used to mixing (or shaking :) markup  and text and writing
without seeing the final outcome.]  I typically use jedit whose
XML-mode makes a good work in simplifying XML editing (e.g., closing
tags, suggesting node attributes, and so on).

The only difficulty that sometimes I experience is that you can get
lost in all the <section>...</section> nesting, so you do not know at
which nesting level you are.

Riccardo

---

From: Ted Lemon <[email-masked]>
Date: Tue, 11 Mar 2014 12:54:53 -0400

> and are quite smart about resynchronising old and new where the changes

Are you aware of any that would work on xml2rfc documents?

---

From: joel jaeggli <[email-masked]>
Date: Tue, 11 Mar 2014 10:06:56 -0700

> Are you aware of any that would work on xml2rfc documents?

https://github.com/joelja/ipv6-ptb/commits/master

---

From: Ted Lemon <[email-masked]>
Date: Tue, 11 Mar 2014 13:11:32 -0400

> https://github.com/joelja/ipv6-ptb/commits/master

Ah.   Primitive tools that do a fine job of tracking revisions, but are not good tools for collaboration on revising documents.   I meant something like the change tracking tools in MS Word, and I _think_ that's also what TP was talking about.   These aren't trivial, but they aren't brain surgery either.   It would really speed up my editing of documents if we had tools that did this.

---

From: joel jaeggli <[email-masked]>
Date: Tue, 11 Mar 2014 10:21:19 -0700

On 3/11/14, 10:11 AM, Ted Lemon wrote:
> Ah.   Primitive tools that do a fine job of tracking revisions, but
> are not good tools for collaboration on revising documents. 

I'm not sure what you mean, there are two people merging commits to that
branch.

afaik git (exclusive of github) is used to manage collaboration on some
rather large projects.

>  I meant
> something like the change tracking tools in MS Word, and I _think_
> that's also what TP was talking about.   These aren't trivial, but
> they aren't brain surgery either.   It would really speed up my
> editing of documents if we had tools that did this.
> 
>

---

From: Martin Thomson <[email-masked]>
Date: Tue, 11 Mar 2014 18:23:31 +0100

> afaik git (exclusive of github) is used to manage collaboration on some

And it works well in my experience: https://github.com/http2/http2-spec

---

From: [email-masked]
Date: Tue, 11 Mar 2014 10:05:05 -0700 (PDT)

> Are you aware of any that would work on xml2rfc documents?

BBEdit works well for me. Syntax coloring and XML checking combined with a very
nice side-by-side comparison-merge capability. I have no doubt there are
comparable tools on Windows.

But more generally, this entire discussion strikes me as a bit precious.
Speaking as someone who has assumed the editorship of any number of drafts over
the years, including several done in fairly obscure markup languages (bare
nroff, nroff with custom macros, Andrew markup, etc.), mechanical editing
issues are completely dwarfed by the difficulty of working with someone else's
technical English, irrespective of how well written (or not) it is. Doing this
well is not easy, especially when there are politics in play, which is almost
always the case.

And if all you're doing is suggesting a few changes, then just suggest them.
IMO the point at which you need to work with the document source pretty
much coincides with becoming an editor, with all that implies.

				Ned

---

From: Ted Lemon <[email-masked]>
Date: Tue, 11 Mar 2014 13:32:46 -0400

> I'm not sure what you mean, there are two people merging commits to that

The way to find out what I mean is to try change tracking in MS Word.   Otherwise I probably sound like a lunatic talking about "horseless carriages" or something... :)

---

From: Ted Lemon <[email-masked]>
Date: Tue, 11 Mar 2014 13:37:52 -0400

Ned, as an AD I read dozens of documents a week and offer suggestions on those documents.   These changes frequently require negotiation, but for AD reviews specifically, not having change tracking means that if I offer a heavy edit on a particular document, there's a good chance I'm just wasting my time, because the author won't bother to integrate it.

Something that makes this as easy as change tracking in MS word would _substantially_ reduce my workload while at the same time increasing my effectiveness.   I agree that if you are only editing one document every so often, it won't make much difference.

The other thing an easy tool might do is make it easier for IETF participants to usefully do reviews, meaning that we might get more reviews.   It would in particular make it much easier for working groups to collaborate on documents, rather than leaving it to one or two designated authors.

(BTW, I am _not_ proposing that we use Microsoft Word in the toolchain, nor that git isn't useful.  I am not a fan of Word, and I am a fan of git.   The point of mentioning Word is that change tracking is something it does right; the point of saying that git isn't good enough for this application is that it isn't, not to say that it isn't good enough for other applications.)

---

From: Chaitanya Dhareshwar <[email-masked]>
Date: Tue, 11 Mar 2014 23:36:51 +0530

I've used Etherpad for its word-like document change tracking capabilities
while preparing basic concept documentation. Not a versioning system by any
stretch of imagination - but it is similar to MS word track changes mode.

*Chaitanya Dhareshwar*

On Tue, Mar 11, 2014 at 11:02 PM, Ted Lemon <[email-masked]> wrote:

> The way to find out what I mean is to try change tracking in MS Word.
> Otherwise I probably sound like a lunatic talking about "horseless
> carriages" or something... :)
>
>

---

From: t.p. <[email-masked]>
Date: Tue, 11 Mar 2014 18:03:04 +0000

----- Original Message -----
From: "Riccardo Bernardini" <[email-masked]>
To: "IETF Discussion Mailing List" <[email-masked]>
Sent: Tuesday, March 11, 2014 4:06 PM
> which nesting level you are.

There's a call out at the moment on a WG list for English reviewers to
review structure, grammar and spelling prior to Last Call.  At such a
time, I really really want to see, and be able to change immediately,
the text, such as it would appear in an RFC.  Having any markup, no
matter how friendly, is a pain and gets in the way too much for me to
attempt it (again! - I have done it with the XML).  Generally, I find
myself suggesting changes to most sections and several sentences in
each.

So that is the problem statement.

Picking an I-D that is ok, but might merit revision, I see the paragraph
below and think:

- why is everything 'suppposed'?  MAY MUST SHOULD anyone?
- what a lot of if-then; can I follow the logic readily? (no)
- think long and hard about ChannelStatus vis-a-vis each data channel -
is this well defined? (probably)
- 'sender of' of 'sender for'?  I think the latter.

So I would suggest splitting this into three cases, three paragraphs,
changing every sentence but hopefully not the meaning.  I just want to
edit the old paragraph into new paragraphs without any encumbering mark
up.

"  Specifically, if the message is a Config message, and the Message_Id
   value is less than the largest Message_Id value previously received
   from the sender for the CC_Id, then the message is supposed to be
   treated as being out-of-order.  If the message is a LinkSummary
   message and the Message_Id value is less than the largest Message_Id
   value previously received from the sender of the TE link, then the
   message is supposed to be treated as being out-of-order.  Similarly,
   if the message is a ChannelStatus message and the Message_Id value is
   less than the largest Message_id value previously received from he
   sender of the specific TE link, then the receiver is supposed to
   check for the Message_Id value previously received from the state of
   each data channel included in the ChannelStatus message.  If the
   Message_Id value associated with at least one of the data channels
   included in the message, the message is not supposed to be treated as
   out-of-order.  All other messages are not supposed to be treated as
   out-of-order."

John's comments earlier in this thread suggest that this is an issue for
more than one WG although in my example above, the grammar and spelling
are sound English and so may not fall into the use cases he had in mind
(this paragraph is a current example for me).

Tom Petch

---

From: [email-masked]
Date: Tue, 11 Mar 2014 10:45:39 -0700 (PDT)

> Ned, as an AD I read dozens of documents a week and offer suggestions on
> those documents.   These changes frequently require negotiation, but for AD
> reviews specifically, not having change tracking means that if I offer a heavy
> edit on a particular document, there's a good chance I'm just wasting my time,
> because the author won't bother to integrate it.

Not only was I an AD for four years, when I came onboard I inherited a very
large backlog of documents. So I'm well aware of situation ADs face.

And as for the issue if integrating extensive changes suggested by ADs, having
been on both sides of this I will again repeat that I don't think proper
tooling is the dominant issue here.

> Something that makes this as easy as change tracking in MS word would
> _substantially_ reduce my workload while at the same time increasing my
> effectiveness.   I agree that if you are only editing one document every so
> often, it won't make much difference.

De gustibus non est disputandum. I find MS Word change tracking to be useless
at best for our kind of work. A small part of that is what I view as a crappy
UI, but the biggest problem is that using it properly requires a certain
discipline most Word users don't appear to possess.

Maybe there's a tool out there that sorts this out, but I've never encountered
it.

> The other thing an easy tool might do is make it easier for IETF participants
> to usefully do reviews, meaning that we might get more reviews.   It would in
> particular make it much easier for working groups to collaborate on documents,
> rather than leaving it to one or two designated authors.

> (BTW, I am _not_ proposing that we use Microsoft Word in the toolchain, nor
> that git isn't useful.  I am not a fan of Word, and I am a fan of git.   The
> point of mentioning Word is that change tracking is something it does right;
> the point of saying that git isn't good enough for this application is that it
> isn't, not to say that it isn't good enough for other applications.)

On that point I'm afraid I simply disagree. I actually do like using Word or
Word-equivalents for some things. But not change tracking. And I am
emphatically NOT a fan of git. But I'd use it for change tracking long before
I'd use Word.

				Ned

---

From: joel jaeggli <[email-masked]>
Date: Tue, 11 Mar 2014 11:12:04 -0700

> The way to find out what I mean is to try change tracking in MS Word. 

I have.

>  Otherwise I probably sound like a lunatic talking about "horseless carriages" or something... :)

I moved towards collaborative source code management systems (mostly svn
before git) because branch / merge cycles, conflict resolution are a
normal part of the workflow. it's not that office live is entirely
unsuitable for this, it isn't, but I work with text or code not word or
excel files.

---

From: Ted Lemon <[email-masked]>
Date: Tue, 11 Mar 2014 14:32:57 -0400

On Mar 11, 2014, at 2:12 PM, joel jaeggli <[email-masked]> wrote:
> it's not that office live is entirely

Yes, that's why I'm not proposing just switching to Word. :}

---

From: Jelte Jansen <[email-masked]>
Date: Wed, 12 Mar 2014 11:08:52 +0100

> The way to find out what I mean is to try change tracking in MS Word.   Otherwise I probably sound like a lunatic talking about "horseless carriages" or something... :)

Personally, I find that MS Word change tracking only works well when
collaborating between two writers, and those two must follow 'the rules'
to the letter (of course, to various degrees, this probably goes for
everything). Any more and it quickly breaks down.

With a background of a developer, diff tools (source diff, meld, etc)
come much more naturally to me, and the direction I'd look in would be
something that integrates the rfcdiff tool into our normal workflow.

I won't suggest moving to github for all draft editing, but they do
handle pull requests (or, for non-git users: change suggestions)
extremely well, IMHO. For some file types they even provide custom
previews and diffs; it's is now possible to see STL previews (3d
objects), and the difference between two stl version on github itself.
Perhaps we should see if we can get something similar for RFCs.

And/or extend the rfctools to fit actual editing workflows (and easy
local use).

Jelte

---

From: "John Levine" <[email-masked]>
Date: 12 Mar 2014 16:49:28 -0000

If I may step out of the bikeshed for a moment, the editing part is
much harder than using whatever software checks in the edits.

My wife has a steady side job editing (or often rewriting) theses for
foreign graduate students.  These students are plenty smart, and they
know their topic, but they are mostly from east Asia and their English
grammar is not good.

Editing these is a lot of work, and invariably requires multiple
passes to go back and ask what they meant and rewrite the parts that
need it.  This is something that IETFers with good English can do, but
it's significant work, and the final document is different enough from
the original that Word-style diff marks would only tell you that a
whole lot has changed.

R's,
John

---

From: "Christopher LILJENSTOLPE" <[email-masked]>
Date: Tue, 11 Mar 2014 17:45:10 +0000

> If we're going to write RFCs codifying behaviour, we can codify this, 

<madly checking to see if I've slept a few weeks, and it's already April 
1st>

<damn, it's not, I guess he's serious>

You may want to think about this a bit more before formally taking this 
position...  I don't think the IETF can afford to enfeeble itself by 
excluding colleagues and collaborators who do not have a fluent grasp of 
English (native tongue or not).

How would you feel if there was a countervailing proposal that stated 
that participants needed equivalent fluency in 普通話 / Putonghua?  
I'm sure there are a lot of participants in the IETF who would be more 
comfortable with that decision rather than English.

Respectfully,

Christopher

--
李柯睿
Check my PGP key here: http://www.asgaard.org/cdl/cdl.asc
Current vCard here: http://www.asgaard.org/cdl/cdl.vcf

---

From: "Christopher LILJENSTOLPE" <[email-masked]>
Date: Tue, 11 Mar 2014 17:52:08 +0000

> assessed in my understanding and use of English to participate in the 

Greetings Arturo,

	I am sorry that you are insulted, please believe that many (most) of us 
here do not share these views.

	Christopher

---

From: "Christopher LILJENSTOLPE" <[email-masked]>
Date: Tue, 11 Mar 2014 17:53:22 +0000

> - all useful skills for the IETF participant.

Actually, I'd say MORE useful than the proposal on the table.

	Christopher

---

From: [email-masked]
Date: Wed, 12 Mar 2014 10:06:30 -0700 (PDT)

> the original that Word-style diff marks would only tell you that a

+100

This is exactly what I was trying to say; John just said it better than I did.
Editing someone else's work competently means seeing things from their
perspective, at least to some extent. This is difficult even with someone you
know well; with someone you don't know well and from a different culture 
it's really quite difficult and takes a *lot* of time.

When I start a serious editing pass on a document I usually start by reading it
several times, carefully, from beginning to end. (If I'm already familiar with
the document I read it backwards to try and prevent my eyes from sliding over
issues.) I then wait at least a day, sometimes two, then read it again. Only
then will I start to edit.

Sometimes the toolset really is critical; in this case it's a niggle.

In fact I'll go so far as to say that if you think the editing part is simple
and easy you're not doing it right.

				Ned

---

From: Ted Lemon <[email-masked]>
Date: Wed, 12 Mar 2014 14:24:28 -0400

> and easy you're not doing it right.

Did someone make that claim?

---

From: Iljitsch van Beijnum <[email-masked]>
Date: Wed, 12 Mar 2014 19:30:07 +0100

On 11 Mar 2014, at 18:45, Christopher LILJENSTOLPE <[email-masked]> wrote:

> I don't think the IETF can afford to enfeeble itself by excluding colleagues and collaborators who do not have a fluent grasp of English (native tongue or not).

Hm, learning English is not that hard. Hundreds of millions of people have done it. Learning how to create good internet standards is probably harder. Certainly fewer people have done it. I also wonder how you could learn to create internet standards without being able to read the language those are written in. As far as I know, translations aren't available for most of them. So there's a good chance that the IETF can, in fact, afford it.

> How would you feel if there was a countervailing proposal that stated that participants needed equivalent fluency in 普通話 / Putonghua?  I'm sure there are a lot of participants in the IETF who would be more comfortable with that decision rather than English.

The number of people who already speak a language is a very poor criterion for selecting a working language. The two main things are that it's easy to learn and easy to speak. I wasn't able to identify the language that you're referring to, so maybe it has those qualities.

Of course if we assume that IETF participants already speak English then the effort to learn is zero and the chance that some other language is so much easier to speak that it makes up for that is small.

---

From: [email-masked]
Date: Wed, 12 Mar 2014 11:31:27 -0700 (PDT)

> Did someone make that claim?

Did I say that anyone did?

				Ned

---

From: Ted Lemon <[email-masked]>
Date: Wed, 12 Mar 2014 14:37:38 -0400

> Did I say that anyone did?

Sigh.

---

From: Riccardo Bernardini <[email-masked]>
Date: Wed, 12 Mar 2014 20:04:10 +0100

On Wed, Mar 12, 2014 at 7:30 PM, Iljitsch van Beijnum
<[email-masked]> wrote:
> Hm, learning English is not that hard.

Hmm... Speaking as a non-native speaker, I somehow disagree with this.
 It strongly depends on the level of fluency you require.   My
personal experience is that in order to learn any language with a good
degree of fluency (so that you can collaborate with others) you need
to spend at least 6-12 months in a country where the language is
spoken.   Before going to US for my last year of PhD, I was quite good
in reading English (especially technical English), quite bad in
writing it and hopeless for speaking it.

Said that, we should observe that in the specific case at hand, I
expect the probability that someone has good proficiency in English,
conditioned by the fact that s/he is an IETFer, quite large.

>
> The two main things are that it's easy to learn and easy to speak.
>

I am fascinated by languages and I am studying few of them (French,
Greek, Hebrew and Arabic) in my free time.  The impression that I got
is that the effort to achieve good fluency does not depend much on the
specific language (Disclaimer: I never tried oriental languages such
Chinese or Japanese, nor more exotic things).  Sure, some languages
can have some specific difficulties such as different alphabets,
unwritten vowels or a rich morphology (as the verbs in Italian or
French), but it is something that you can overcome easily with a bit
of exercise.  However, after the first step (high or low), there is
still a long road to good proficiency...

...and about "easy to speak"...  Let's just say that English is not
the best example with its anarchic pronunciation...  :-) :-) :-)

Said that, I would stick to English.  It is the "best" (in an
engineering sense :-) solution.

Riccardo

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Thu, 13 Mar 2014 08:21:33 -0400

> much harder than using whatever software checks in the edits.

The piece I find hard is always making sure that the text and code are in
sync. I am very suspicious of a specification without any examples of
on-the-wire data messages. But people try to avoid putting them in because
examples are invariably considered to be the most normative text in a
specification.

If I am implementing a spec with a 'non-normative' example that disagrees
with some EBNF, unless it is obviously a mistake or there is an errata I
will take the example because I know that is what 90% of implementers will
go for and that is what will give me interoperability. Unless of course the
objective is compliance rather than interop.

The problem comes when the spec is changed. Someone changes a tag at 23
points in the text but forget point 24. So someone has to go through and
look and check.

So examples are essential but they are a huge liability. Which is why I
built ProtoGen which is a protocol compiler that takes a schema that
describes the abstract data structure, the mapping to on-the wire format
(currently JSON and RFC822 style) and descriptive text. From these I
generate the reference sections of the Internet Draft, a reference
implementation and examples. It would also be possible to develop a
conformance testing tool.

http://sourceforge.net/projects/jsonschema/

I'll get the binaries up later this month after I have the RFC822 part
working and a TLS encoding going.

---

From: [email-masked] (Dale R. Worley)
Date: Wed, 19 Mar 2014 16:15:48 -0400

> From: <[email-masked]>

> fully in technical discussion to get the most out of IETF participation.

I was going to suggest that the statement should not be "how good one's
English must be to participate" but rather "participants should be
aware that other participants may have English competence at XXX
level".

But Harald noted that we already have such advice:

> From: Harald Alvestrand <[email-masked]>

>        engage in conversation to clarify what was meant.

Less obviously, there is a problem that the written version of a
language and the spoken version of the language language are different
languages, even in languages (like English, unlike Chinese and Arabic)
that make no formal distinction between the two.  There are many
native speakers of English whose *written* English is nearly
incomprehensible, even to a native speaker.  So native English
speakers need to beware that their written English is not
automatically perfect...

Dale

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Thu, 20 Mar 2014 20:09:52 +0000

On Mar 8, 2014, at 5:02 PM, mohammed serrhini <[email-masked]> wrote:

> yes it is true, people who have English as a third language have many problems to follow another person with English is native 

Agreed. That said, and you might be a better person to comment on this than I, what I observe among ESL participants is that they struggle enough with English from a native speaker, and struggle more with English from another ESL speaker from a different part of the world. Constructions that make a native speaker think hard are impossible for other-ESL.

I’m not sure where this thread is headed. If it is in general a plea for people to use short sentences, avoid commas and the word “and”, and in general use the generally-accepted grammar, I’m in favor.

---

From: mohammed serrhini <[email-masked]>
Date: Fri, 21 Mar 2014 05:27:55 +0400

from my experience the problem is in the process that no native English speakers are thinking in their native language and try to  translate it in English, so your advice to use short sentences, avoid commas and the word “and”, and in general use the generally-accepted grammar is welcome.

best

С уважением,
mohammed serrhini
[email-masked]

---

From: Yoav Nir <[email-masked]>
Date: Fri, 21 Mar 2014 07:39:07 +0200

http://xkcd.com/547/

---

From: Fatai Zhang <[email-masked]>
Date: Fri, 21 Mar 2014 08:50:33 +0000

If one (except English) of the six U.N.'s official languages was chosen for IETF language, what is your feeling?

For your proposal, I think it would be more disruptive than constructive, because it will actually exclude the non-native English speakers who speak poor (or not good) English to participate in IETF activity by requiring this kind of English level. (Note that I think many non-native English speaker might aslo feel insulting to get some qualification).

Those people who speak "low quality" English usually feel more frustrated and much more pressure than the corresponding native English speakers, who like to mumble and speak fast, so they try very hard to improve their English. While they are working hard to improve their English, I would suggest the native English speakers take the "BIG" privilege (since English is IETF language) to speak simple words and speak clearly as many excellent WG chairs do.

In addition, I think it would be more challenging in ITU-T (many non-native English participants including Asian people) than IETF if there was an English issue in IETF, because everything should be done including drafting work during the ITU-T living meeting. However, IETF work is mainly done through the mailing list, and most of the non-native English people should be competent for reading and writing.

Best Regards

Fatai

-----Original Message-----
From: ietf [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, March 10, 2014 5:50 AM
To: [email-masked]
Cc: [email-masked]
Subject: RE: IETF working language

Lloyd Wood

Cc: Scott Brim; <[email-masked]<mailto:[email-masked]>> list

On Sat, Mar 8, 2014 at 1:53 PM, <[email-masked]<mailto:[email-masked]<mailto:[email-masked]%3cmailto:[email-masked]>>> wrote:

Regards,

as